Loading...
Searching...
No Matches
Opm::Action::Result::Impl Class Reference

Implementation of Action::Result. More...

## Public Member Functions

| Impl (const bool result)
| Constructor.
MatchingEntities & | matches ()
| Get read/write access to set of matching entities.
const MatchingEntities & | matches () const
| Get read only access to set of matching entities.
bool | result () const
| Get condition value.
void | makeSetUnion (const Impl &rhs)
| Incorporate another result set into the current set as if by set union.
void | makeSetIntersection (const Impl &rhs)
| Incorporate another result set into the current set as if by set intersection.
bool | operator== (const Impl &that) const
| Equality predicate.

## Detailed Description

Implementation of Action::Result.

## Constructor & Destructor Documentation

## Impl()

Opm::Action::Result::Impl::Impl | ( | const bool | result | ) |

inline explicit

Constructor.

Creates a result set with a known condition value.

Parameters

  [in] | result | Condition value.

## Member Function Documentation

## makeSetIntersection()

void Opm::Action::Result::Impl::makeSetIntersection | ( | const Impl & | rhs | ) |

Incorporate another result set into the current set as if by set intersection.

Final result set condition value is logical AND of the current condition value and that of the other result set. Set of matching entities is the intersection of the current set and that of the other result set, albeit with special case handling of empty sets of matching entities.

Any existing set of matching entities will be cleared if the aggregate condition value is false.

Parameters

  [in] | rhs | Other result set.

## makeSetUnion()

void Opm::Action::Result::Impl::makeSetUnion | ( | const Impl & | rhs | ) |

Incorporate another result set into the current set as if by set union.

Final result set condition value is logical OR of the current condition value and that of the other result set. Set of matching entities is union of the current set and that of the other result set.

Any existing set of matching entities will be cleared if the aggregate condition value is false.

Parameters

  [in] | rhs | Other result set.

## operator==()

bool Opm::Action::Result::Impl::operator== | ( | const Impl & | that | ) | const

Equality predicate.

Parameters

  [in] | that | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `that`.

The documentation for this class was generated from the following file:

- opm/input/eclipse/Schedule/Action/ActionResult.cpp